hpp-core: hpp::core::BiRRTPlanner Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
hpp::core::BiRRTPlanner Class Reference
Path planning algorithms

`#include <hpp/core/bi-rrt-planner.hh>`

Inheritance diagram for hpp::core::BiRRTPlanner:
[legend]
Collaboration diagram for hpp::core::BiRRTPlanner:
[legend]

## Public Member Functions
virtual void | startSolve ()
| One step of extension.
virtual void | oneStep ()
| One step of extension.
Public Member Functions inherited from hpp::core::PathPlanner
virtual | ~PathPlanner ()
virtual const RoadmapPtr_t & | roadmap () const
| Get roadmap.
ProblemConstPtr_t | problem () const
| Get problem.
virtual PathVectorPtr_t | solve ()
virtual void | tryConnectInitAndGoals ()
| Try to connect initial and goal configurations to existing roadmap.
virtual PathVectorPtr_t | finishSolve (const PathVectorPtr_t &path)
| Post processing of the resulting path.
void | interrupt ()
| Interrupt path planning.
void | maxIterations (const unsigned long int &n)
| Set maximal number of iterations.
unsigned long int | maxIterations () const
| Get maximal number of iterations.
void | timeOut (const double &timeOut)
| set time out (in seconds)
double | timeOut () const
| Get time out.
void | stopWhenProblemIsSolved (bool enable)
PathVectorPtr_t | computePath () const
| Find a path in the roadmap and transform it in trajectory.

## Static Public Member Functions
static BiRRTPlannerPtr_t | createWithRoadmap (const ProblemConstPtr_t &problem, const RoadmapPtr_t &roadmap)
| Return shared pointer to new object.
static BiRRTPlannerPtr_t | create (const ProblemConstPtr_t &problem)
| Return shared pointer to new object.

## Protected Member Functions
| BiRRTPlanner (const ProblemConstPtr_t &problem, const RoadmapPtr_t &roadmap)
| Constructor.
| BiRRTPlanner (const ProblemConstPtr_t &problem)
| Constructor with roadmap.
void | init (const BiRRTPlannerWkPtr_t &weak)
| Store weak pointer to itself.
PathPtr_t | extendInternal (const SteeringMethodPtr_t &sm, Configuration_t &qProj_, const NodePtr_t &near, const Configuration_t &target, bool reverse=false)
Protected Member Functions inherited from hpp::core::PathPlanner
| PathPlanner (const ProblemConstPtr_t &problem)
| PathPlanner (const ProblemConstPtr_t &problem, const RoadmapPtr_t &roadmap)
void | init (const PathPlannerWkPtr_t &weak)
| Store weak pointer to itself.

## Protected Attributes
ConfigurationShooterPtr_t | configurationShooter_
ConnectedComponentPtr_t | startComponent_
std::vector< ConnectedComponentPtr_t > | endComponents_

## Detailed Description

Implementation of directional bi-RRT algorithm maintaining only two connected components for respectively the start and goal configurations

## Constructor & Destructor Documentation

## ◆ BiRRTPlanner() [1/2]

hpp::core::BiRRTPlanner::BiRRTPlanner | ( | const ProblemConstPtr_t & | problem,
|  | const RoadmapPtr_t & | roadmap
| ) |  |
| protected

Constructor.

## ◆ BiRRTPlanner() [2/2]

hpp::core::BiRRTPlanner::BiRRTPlanner | ( | const ProblemConstPtr_t & | problem | ) |
| protected

Constructor with roadmap.

## Member Function Documentation

## ◆ create()

static BiRRTPlannerPtr_t hpp::core::BiRRTPlanner::create | ( | const ProblemConstPtr_t & | problem | ) |
| static

Return shared pointer to new object.

## ◆ createWithRoadmap()

static BiRRTPlannerPtr_t hpp::core::BiRRTPlanner::createWithRoadmap | ( | const ProblemConstPtr_t & | problem,
|  | const RoadmapPtr_t & | roadmap
| ) |  |
| static

Return shared pointer to new object.

## ◆ extendInternal()

PathPtr_t hpp::core::BiRRTPlanner::extendInternal | ( | const SteeringMethodPtr_t & | sm,
|  | Configuration_t & | qProj_,
|  | const NodePtr_t & | near,
|  | const Configuration_t & | target,
|  | bool | reverse = `false`
| ) |  |
| protected

## ◆ init()

void hpp::core::BiRRTPlanner::init | ( | const BiRRTPlannerWkPtr_t & | weak | ) |
| protected

Store weak pointer to itself.

## ◆ oneStep()

virtual void hpp::core::BiRRTPlanner::oneStep | ( |  | ) |
| virtual

One step of extension.

Implements hpp::core::PathPlanner.

## ◆ startSolve()

virtual void hpp::core::BiRRTPlanner::startSolve | ( |  | ) |
| virtual

One step of extension.

Reimplemented from hpp::core::PathPlanner.

## Member Data Documentation

## ◆ configurationShooter_

ConfigurationShooterPtr_t hpp::core::BiRRTPlanner::configurationShooter_
| protected

## ◆ endComponents_

std::vector<ConnectedComponentPtr_t> hpp::core::BiRRTPlanner::endComponents_
| protected

## ◆ startComponent_

ConnectedComponentPtr_t hpp::core::BiRRTPlanner::startComponent_
| protected

The documentation for this class was generated from the following file:

- include/hpp/core/bi-rrt-planner.hh